%Default data
default_value_data_double_ID

% Elements and isotopes choice
labels  = {["Please update the following data for element 1 (E): \n \n" "Element"], 'Sample reference isotope (B)', 'Spike major isotope (A)'};
li_cols = [1, 2; 1, 3; 1, 3];
val_def = {E, B, A};
vec_E = inputdlg(labels, 'Element 1 (E) data', li_cols, val_def);
	if (isempty (vec_E))
    cd ..
	error("Canceled by user\n");
	else
	E = vec_E{[1,1]};
	B = vec_E{[2,1]};
	A = vec_E{[3,1]};
	end
labels  = {["Please update the following data for element 2 (Z): \n \n" "Element"], 'Sample reference isotope (Y)', 'Spike major isotope (X)'};
li_cols = [1, 2; 1, 3; 1, 3];
val_def = {Z, Y, X};
vec_Z = inputdlg(labels, 'Element 2 (Z) data', li_cols, val_def);
	if (isempty (vec_Z))
    cd ..
	error("Canceled by user\n");
	else
	Z = vec_Z{[1,1]};
	Y = vec_Z{[2,1]};
	X = vec_Z{[3,1]};
	end

% Element 1 spike data
labels  = {["Please complete the spike (T) data: \n \n" num2str(B) num2str(E) " isotope abundance (%)"], [num2str(A) num2str(E) ' isotope abundance (%)'], [num2str(B) num2str(E) '/' num2str(A) num2str(E) ' ratio relative uncertainty (%, k = 1)'], [num2str(E) ' amount concentration (mol/g)'] };
li_cols = [1, 10; 1, 10; 1, 10;1, 10];
val_def = {TB, TA, urTBA, cTE};
vec_spikeE = inputdlg(labels, [num2str(E) ' spike data'], li_cols, val_def);
	if (isempty (vec_spikeE))
    cd ..
	error("Canceled by user\n");
	else
	TB = vec_spikeE{[1,1]};
	TB = str2num(TB);
	TA = vec_spikeE{[2,1]};
	TA = str2num(TA);
	urTBA = vec_spikeE{[3,1]};
	urTBA = str2num(urTBA);
	uTBA = urTBA./100.*TB./TA;
	cTE = vec_spikeE{[4,1]};
	cTE = str2num(cTE);
	end

% Element 2 spike data
labels  = { ["Please complete the spike (T) data: \n \n" num2str(Y) num2str(Z) " isotope abundance (%)"], [num2str(X) num2str(Z) " isotope abundance (%)"], [num2str(Y) num2str(Z) '/' num2str(X) num2str(Z) ' ratio relative uncertainty (%, k = 1)'], [num2str(Z) ' amount concentration (mol/g)'] };
li_cols = [1, 10;1, 10;1, 10;1, 10];
val_def = {TY, TX, urTYX, cTZ};
vec_spikeZ = inputdlg(labels, [num2str(Z) ' spike data'], li_cols, val_def);
	if (isempty (vec_spikeZ))
    cd ..
	error("Canceled by user\n");
	else
	TY = vec_spikeZ{[1,1]};
	TY = str2num(TY);
	TX = vec_spikeZ{[2,1]};
	TX = str2num(TX);
	urTYX = vec_spikeZ{[3,1]};
	urTYX = str2num(urTYX);
	uTYX = urTYX./100.*TY./TX;
	cTZ = vec_spikeZ{[4,1]};
	cTZ = str2num(cTZ);
	end

% Isotope ratio data
labels  = {["Please complete the data: \n \n" num2str(A) num2str(E) "/" num2str(X) num2str(Z) " spike ratio relative uncertaianty (%, k=1)"], ["Mixture isotope ratio relative uncertaianty (%, k = 1)"]};
li_cols = [1, 10; 1, 10];
val_def = {urTXA, urRmix};
vec_ratio = inputdlg(labels, ['Ratio relative uncertainty'], li_cols, val_def);
	if (isempty (vec_ratio))
    cd ..
	error("Canceled by user\n");
	else
	urTXA = (vec_ratio{[1,1]});
	urTXA = str2num(urTXA);
	urRmix = vec_ratio{[2,1]};
	urRmix = str2num(urRmix) ;
	uRmix = urRmix./100;
	end

% Element 1 sample data
labels  = {["Please completed the sample data: \n \n" num2str(B) num2str(E) " isotope abundance (%)"], [num2str(A) num2str(E) ' isotope abundance (%)'], [num2str(A) num2str(E) '/' num2str(B) num2str(E) ' ratio relative uncertainty (%, k = 1)'], [num2str(E) ' estimative amount concentration (mol/g)'] };
li_cols = [1, 10; 1, 10; 1, 10;1, 10];
val_def = {SB, SA, urSAB, cSE};
vec_sampleE = inputdlg(labels, [num2str(E) ' sample data'], li_cols, val_def);
	if (isempty (vec_sampleE))
    cd ..
	error("Canceled by user\n");
	else
	SB = vec_sampleE{[1,1]};
	SB = str2num(SB);
	SA = vec_sampleE{[2,1]};
	SA = str2num(SA);
	urSAB = vec_sampleE{[3,1]};
	urSAB = str2num(urSAB);
	uSAB = urSAB./100.*SA./SB;
	cSE = vec_sampleE{[4,1]};
	cSE = str2num(cSE);
	end

% Element 2 sample data
labels  = {["Please complete the sample data: \n \n" num2str(Y) num2str(Z) " isotope abundance (%)"], [num2str(X) num2str(Z) ' isotope abundance (%)'], [num2str(X) num2str(Z) '/' num2str(Y) num2str(Z) ' ratio relative uncertainty (%, k = 1)'], [num2str(Z) ' estimative amount concentration (mol/g)'] };
li_cols = [1, 10; 1, 10; 1, 10;1, 10];
val_def = {SY, SX, urSXY, cSZ};
vec_sampleZ = inputdlg(labels, [num2str(Z) ' sample data'], li_cols, val_def);
	if (isempty (vec_sampleZ))
    cd ..
	error("Canceled by user\n");
	else
	SY = vec_sampleZ{[1,1]};
	SY = str2num(SY);
	SX = vec_sampleZ{[2,1]};
	SX = str2num(SX);
	urSXY = vec_sampleZ{[3,1]};
	urSXY = str2num(urSXY);
	uSXY = urSXY./100.*SX./SY;
	cSZ = vec_sampleZ{[4,1]};
	cSZ = str2num(cSZ);
	end