% Data read
display_value_double_ID
ll=linspace(0.001,0.999,1000); % l interval
kk=linspace(0.001,0.999,1000); % k interval
[l,k]=ndgrid(ll,kk);
% Calculation
TYX = TY./TX;
SAB = SA./SB;
TBA = TB./TA;
SXY = SX./SY;
TXA = (1-k).*cTZ.*TX./(k.*cTE.*TA);
uTXA = urTXA./100.*TXA;
MBA = (l.*k.*cTE.*TB+((1-l).*cSE.*SB))./((l.*k.*cTE.*TA)+((1-l).*cSE.*SA));
uMBA = uRmix.*MBA;
MYX = (l.*(1-k).*cTZ.*TY+((1-l).*cSZ.*SY))./((l.*(1-k).*cTZ.*TX)+((1-l).*cSZ.*SX));
uMYX = uRmix.*MYX;
SYB = TXA.*((MYX-TYX).*(1-MBA.*SAB))./((MBA-TBA).*(1-MYX.*SXY)); % SYB calculation
dTXA = ((MYX-TYX).*(MBA.*SAB-1))./((MBA-TBA).*(MYX.*SXY-1)); % Partial derivate with respect to TXA
dTYX = -TXA.*(MBA.*SAB-1)./((MBA-TBA).*(MYX.*SXY-1)); % Partial derivate with respect to TYX
dTBA = TXA.*((MYX-TYX).*(MBA.*SAB-1))./((MBA-TBA).^2.*(MYX.*SXY-1)); % Partial derivate with respect to TBA
dSXY = -TXA.*MYX.*((MYX-TYX).*(MBA.*SAB-1))./((MBA-TBA).^2.*(MYX.*SXY-1)); % Partial derivate with respect to SXY
dSAB = TXA.*MBA.*(MYX-TYX)./((MBA-TBA).*(MYX.*SXY-1)); % Partial derivate with respect to SAB
dMBA = -TXA.*((MYX-TYX).*(1-TBA.*SAB))./((MBA-TBA).^2.*(MYX.*SXY-1)); % Partial derivate with respect to MBA
dMYX = TXA.*((TYX.*SXY-1)*(MBA.*SAB-1))./((MBA-TBA).*(MYX.*SXY-1).^2); % Partial derivate with respect to MYX
urel = (sqrt((dTXA.*uTXA).^2+(dTYX.*uTYX).^2+(dTBA.*uTBA).^2+(dSXY.*uSXY).^2+(dSAB.*uSAB).^2+(dMBA.*uMBA).^2+(dMYX.*uMYX).^2))./SYB.*100; % SYB relative uncertainty (%, k=1)
% Results display
fprintf("\n* * * * * * * * * * * * RESULTS * * * * * * * * * * * *\n\n")
fprintf("Minimal relative uncertainty (k = 1): %u %% \n\n",min(min(urel)))
[minval, row] = min(min(urel,[],2));
[minval, col] = min(min(urel,[],1));
	if SA == 0;
	fprintf("The major isotope of the spike (%s%s) is not present in the sample.\nIn this case, the lambda and kappa optimal parameters must be determined graphically.\n",A, E);
	elseif SX == 0;
	fprintf("The major isotope of the spike (%s%s) is not present in the sample.\nIn this case, the lambda and kappa optimal parameters must be determined graphically.\n",X, Z);
	else
	fprintf("Optimal proportion of spike in the mixture (lambda): %u \n\n", l(row,col));
	fprintf("Optimal proportion of %s material in the spike (kappa): %u \n\n", E, k(row,col));
	fprintf("%s%s/%s%s mixture isotope ratio for optimal condition: %u \n\n",B, E, A, E, ((l(row,col).*k(row,col).*cTE.*TB+((1-l(row,col)).*cSE.*SB))./((l(row,col).*k(row,col).*cTE.*TA)+((1-l(row,col)).*cSE.*SA))));
	fprintf("%s%s/%s%s mixture isotope ratio for optimal condition: %u \n\n",Y, Z, X, Z, ((l(row,col).*(1-k(row,col)).*cTE.*TY+((1-l(row,col)).*cSZ.*SY))./((l(row,col).*(1-k(row,col)).*cTE.*TX)+((1-l(row,col)).*cSZ.*SX))));
	end
% Plot representation
figure
set(0, "DefaultAxesFontName", "Times new roman")
contour(l, k, urel,[min(min(urel)):0.01*min(min(urel)):1.2*min(min(urel))],"linewidth",0.5);
colormap(jet);
xlabel('Proportion of spike in the mixture ({\lambda})',"fontsize",12);
ylabel(['Proportion of ' num2str(E) ' material in the spike ({\kappa})'],"fontsize",12);
axis([0 1 0 1]);
h=get(gcf, "currentaxes");
set(h,"linewidth",0.75,"fontsize",12)
hold on
plot(l(row,col),k(row,col),"+", "color", 'r', "markersize", 10);
fprintf("\n* * * * * * * * * * * * SCHEMA CAPTION * * * * * * * * * * * *\n\n");
fprintf("Contour plot of error for the relative uncertainty \nof the sample %s%s/%s%s ratio. The optimum is marked \nby the cross. The plot is cut off so that only contours \nwithin 20 %% of the minimal error are shown. The contours \nare spaced out with intervals of 1 %% of the minimal ratio error. \n", Y, Z, B, E);
% Saved plot and results
q_saved_plot = questdlg('Do you want to save the plot and the results?', 'Saved results','Yes', 'No', 'Yes') ;
	if (strcmp (q_saved_plot, "Yes"));
	labels  = {["Please give a name whithout space for the results files. \nThe results will be saved in the ""Saved_results"" folder."]};
	li_cols = [1, 16];
	val_def = {''};
	vec_plot = inputdlg(labels, 'Plot and results name', li_cols, val_def);
		if (isempty (vec_plot))
		cd ..
		error("Canceled by user\n");
		else
		end
	plot_name = vec_plot{[1,1]};
	figure
	set(0, "DefaultAxesFontName", "Times new roman")
	contour(l, k, urel,[ min(min(urel)):0.01*min(min(urel)):1.2*min(min(urel))],"linewidth",0.5);
	colormap(jet);
	xlabel('Proportion of spike in the mixture ({\lambda})',"fontsize",8);
	ylabel(['Proportion of ' num2str(E) ' material in the spike ({\kappa})'],"fontsize",8);
	axis([0 1 0 1]);
	h=get(gcf, "currentaxes");
	set(h,"linewidth",0.75,"fontsize",8)
	hold on
	plot(l(row,col),k(row,col),"+", "color", 'r', "markersize", 6);
	set(gcf,'PaperUnits','centimeters', 'paperposition',[0 0 8 8])
	saved_results
	fprintf("\n* * * * * * * * * * * * SCHEMA CAPTION * * * * * * * * * * * *\n\n");
	fprintf("Contour plot of error for the relative uncertainty \nof the sample %s%s/%s%s ratio. The optimum is marked \nby the cross. The plot is cut off so that only contours \nwithin 20 %% of the minimal error are shown. The contours \nare spaced out with intervals of 1 %% of the minimal ratio error. \n", Y, Z, B, E);
	else
	cd ..
	end