% Data read
display_value_double_ID
l=linspace(0.001,0.999,1000); % l interval
% Calculation
TXA = cTZ.*TX./(cTE.*TA);
TYX = TY./TX;
SAB = SA./SB;
TBA = TB./TA;
SXY = SX./SY;
uTXA = urTXA./100.*TXA;
MBA = (l.*cTE.*TB+((1-l).*cSE.*SB))./((l.*cTE.*TA)+((1-l).*cSE.*SA));
uMBA = uRmix.*MBA;
MYX = (l.*cTZ.*TY+((1-l).*cSZ.*SY))./((l.*cTZ.*TX)+((1-l).*cSZ.*SX));
uMYX = uRmix.*MYX;
SYB = TXA.*((MYX-TYX).*(1-MBA.*SAB))./((MBA-TBA).*(1-MYX.*SXY)); % SYB calculation
dTXA = ((MYX-TYX).*(MBA.*SAB-1))./((MBA-TBA).*(MYX.*SXY-1)); % Partial derivate with respect to TXA
dTYX = -TXA.*(MBA.*SAB-1)./((MBA-TBA).*(MYX.*SXY-1)); % Partial derivate with respect to TYX
dTBA = TXA.*((MYX-TYX).*(MBA.*SAB-1))./((MBA-TBA).^2.*(MYX.*SXY-1)); % Partial derivate with respect to TBA
dSXY = -TXA.*MYX.*((MYX-TYX).*(MBA.*SAB-1))./((MBA-TBA).^2.*(MYX.*SXY-1)); % Partial derivate with respect to SXY
dSAB = TXA.*MBA.*(MYX-TYX)./((MBA-TBA).*(MYX.*SXY-1)); % Partial derivate with respect to SAB
dMBA = -TXA.*((MYX-TYX).*(1-TBA.*SAB))./((MBA-TBA).^2.*(MYX.*SXY-1)); % Partial derivate with respect to MBA
dMYX = TXA.*((TYX.*SXY-1)*(MBA.*SAB-1))./((MBA-TBA).*(MYX.*SXY-1).^2); % Partial derivate with respect to MYX
urel = (sqrt((dTXA.*uTXA).^2+(dTYX.*uTYX).^2+(dTBA.*uTBA).^2+(dSXY.*uSXY).^2+(dSAB.*uSAB).^2+(dMBA.*uMBA).^2+(dMYX.*uMYX).^2))./SYB.*100; % SYB relative uncertainty (%, k=1)
% Results display
fprintf("\n* * * * * * * * * * * * RESULTS * * * * * * * * * * * *\n\n")
fprintf("Minimal relative uncertainty (k = 1): %u %% \n\n",min(min(urel)))
[minval, row] = min(min(urel,[],2));
[minval, col] = min(min(urel,[],1));
fprintf("Optimal proportion of spike in the mixture (lambda): %u \n\n",l(row,col))
fprintf("%s%s/%s%s mixture isotope ratio for optimal condition: %u \n\n",B, E, A, E, ((l(row,col).*cTE.*TB+((1-l(row,col)).*cSE.*SB))./((l(row,col).*cTE.*TA)+((1-l(row,col)).*cSE.*SA))))
fprintf("%s%s/%s%s mixture isotope ratio for for optimal condition: %u \n\n",Y, Z, X, Z, ((l(row,col).*cTZ.*TY+((1-l(row,col)).*cSZ.*SY))./((l(row,col).*cTZ.*TX)+((1-l(row,col)).*cSZ.*SX))))
fprintf("\n* * * * * * * * * * * * SCHEMA CAPTION * * * * * * * * * * * *\n\n");
fprintf("Error for the  %s%s/%s%s ratio relative uncertainty \nas a function of the lambda parameter. \n", Y, Z, B, E);
% Plot representation
figure
plot(l,(urel-min(min(urel)))./min(min(urel)).*100, "linewidth",1, "color", 'b');
set(0, "DefaultAxesFontName", "Times new roman");
xlabel('Proportion of spike in the mixture ({\lambda})',"fontsize",12);
ylabel(["Error for the " sprintf('^{%s}',Y) num2str(Z) "/" sprintf('^{%s}',B) num2str(E) " ratio relative uncertainty (%)"], "fontsize",12);
axis([0 1 0 20]);
h=get(gcf, "currentaxes");
set(h,"linewidth",0.75, "fontsize",12);
grid on
set (gca, "yminorgrid", "on");
% Saved plot and results
q_saved_plot = questdlg('Do you want to save the plot and the results?', 'Saved results','Yes', 'No', 'Yes') ;
	if(strcmp (q_saved_plot, "Yes"));
	labels  = {["Please give a name whithout space for the results files. \nThe results will be saved in the ""Saved_results"" folder."]};
	li_cols = [1, 16];
	val_def = {''};
	vec_plot = inputdlg(labels, 'Plot and results name', li_cols, val_def);
		if (isempty (vec_plot))
		cd ..
		error("Canceled by user\n");
		else
		end
	plot_name = vec_plot{[1,1]};
	figure
	plot(l,(urel-min(min(urel)))./min(min(urel))*100, "linewidth",1, "color", 'b');
	set(0, "DefaultAxesFontName", "Times new roman");
	xlabel('Proportion of spike in the mixture ({\lambda})',"fontsize",8);
	ylabel(["Error for the " sprintf('^{%s}',Y) num2str(Z) "/" sprintf('^{%s}',B) num2str(E) " ratio relative uncertainty (%)"], "fontsize",12);
	axis([0 1 0 20]);
	h=get(gcf, "currentaxes");
	set(h,"linewidth",0.75, "fontsize",8);
	grid on
	set (gca, "yminorgrid", "on");
	set(gcf,'PaperUnits','centimeters', 'paperposition',[0 0 8 8]);
	saved_results
	fprintf("\n* * * * * * * * * * * * SCHEMA CAPTION * * * * * * * * * * * *\n\n");
	fprintf("Error for the  %s%s/%s%s ratio relative uncertainty \nas a function of the lambda parameter. \n", Y, Z, B, E);
	else
	cd ..
	end
