cd ../Saved_results
print(plot_name,"-dpng","-r1600")
close
clc
diary(plot_name);
fprintf("* * * * * * * * * * * * RESULTS * * * * * * * * * * * *\n\n")
fprintf("Minimal relative uncertainty (k = 1): %u %% \n",min(min(urel)));
	if sel_ind == 1
		if SA == 0;
		fprintf("The major isotope of the spike (%s%s) is not present in the sample.\nIn this case, the lambda and kappa optimal parameters must be determined graphically.\n",A, E);
		elseif SX == 0;
		fprintf("The major isotope of the spike (%s%s) is not present in the sample.\nIn this case, the lambda and kappa optimal parameters must be determined graphically.\n",X, Z);
		else
		fprintf("Optimal proportion of spike in the mixture (lambda): %u \n",l(row,col));
		fprintf("Optimal proportion of %s material in the spike (kappa): %u \n", E, k(row,col));
		fprintf("%s%s/%s%s mixture isotope ratio for optimal condition: %u \n",B, E, A, E, ((l(row,col).*k(row,col).*cTE.*TB+((1-l(row,col)).*cSE.*SB))./((l(row,col).*k(row,col).*cTE.*TA)+((1-l(row,col)).*cSE.*SA))));
		fprintf("%s%s/%s%s mixture isotope ratio for optimal condition: %u \n",Y, Z, X, Z, ((l(row,col).*(1-k(row,col)).*cTE.*TY+((1-l(row,col)).*cSZ.*SY))./((l(row,col).*(1-k(row,col)).*cTE.*TX)+((1-l(row,col)).*cSZ.*SX))));
		end
	else
	fprintf("Optimal proportion of spike in the mixture (lambda): %u \n",l(row,col));
	fprintf("%s%s/%s%s mixture isotope ratio for optimal condition: %u \n",B, E, A, E, ((l(row,col).*cTE.*TB+((1-l(row,col)).*cSE.*SB))./((l(row,col).*cTE.*TA)+((1-l(row,col)).*cSE.*SA))));
	fprintf("%s%s/%s%s mixture isotope ratio for optimal condition: %u \n",Y, Z, X, Z, ((l(row,col).*cTZ.*TY+((1-l(row,col)).*cSZ.*SY))./((l(row,col).*cTZ.*TX)+((1-l(row,col)).*cSZ.*SX))));
	end	
fprintf("\n* * * * * * * * * * * * RAW DATA * * * * * * * * * * * *\n\n");
fprintf("E = '%s' ; %% Element 1\n", E);
fprintf("A = %s ; %% Spike major isotope of element 1\n", A);
fprintf("B = %s ; %% Sample major isotope of element 1\n", B);
fprintf("Z = '%s' ; %% Element 2\n", Z);
fprintf("X = %s ; %% Spike major isotope of element 2\n", X);
fprintf("Y = %s ; %% Sample major isotope of element 2\n", Y);
fprintf("TA = %u ; %% %s%s isotope abundance of the spike (%%)\n", TA, A, E);
fprintf("TB = %u ; %% %s%s isotope abundance of the spike (%%)\n", TB, B, E);
fprintf("cTE = %u ; %% %s amount concentration of the spike (mol/g)\n", cTE, E);
fprintf("urTBA = %u ; %% %s%s/%s%s ratio relative uncertainty of the spike (%%, k = 1)\n", urTBA, B, E, A, E);
fprintf("TX = %u ; %% %s%s isotope abundance of the spike (%%)\n", TX, X, Z);
fprintf("TY = %u ; %% %s%s isotope abundance of the spike (%%)\n", TY, Y, Z);
fprintf("cTZ = %u ; %% %s amount concentration of the spike (mol/g)\n", cTZ, Z);
fprintf("urTYX = %u ; %% %s%s/%s%s ratio relative uncertainty of the spike (%%, k = 1)\n", urTYX, Y, Z, X, Z);
fprintf("urTXA = %u ; %% %s%s/%s%s ratio relative uncertainty of the spike (%%, k = 1)\n", urTXA, X, Z, A, E);
fprintf("SA = %u ; %% %s%s isotope abundance of the sample (%%)\n", SA, A, E);
fprintf("SB = %u ; %% %s%s isotope abundance of the sample (%%)\n", SB, B, E);
fprintf("cSE = %u ; %% %s amount concentration of the sample (mol/g)\n", cSE, E);
fprintf("urSAB = %u ; %% %s%s/%s%s ratio relative uncertainty of the sample (%%, k = 1)\n", urSAB, A, E, B, E);
fprintf("SX = %u ; %% %s%s isotope abundance of the sample (%%)\n", SX, X, E);
fprintf("SY = %u ; %% %s%s isotope abundance of the sample (%%)\n", SY, Y, E);
fprintf("cSZ = %u ; %% %s amount concentration of the sample (mol/g)\n", cSZ, Z);
fprintf("urSXY = %u ; %% %s%s/%s%s ratio relative uncertainty of the sample (%%, k = 1)\n", urSXY, X, Z, Y, Z);
fprintf("urRmix = %u ; %% Mixture isotope ratio relative uncertainty (%%, k = 1)\n", urRmix);
diary('off')
fprintf("\n* * * * * * * * * * * * SAVED PLOT AND RESULTS * * * * * * * * * * * *\n\n");
fprintf("The plot and the results are saved in the ""Saved_results"" folder.\n\n");
cd ..